Sub Statistics
   'This sub-procedure shows statistical information
   'about a Text document

   'Define variables to store the statistical information
   dim NumberOfChars as long, NumberOfLines as long
   dim NumberOfGraphics as integer, NumberOfTables as integer

   'Check if a text document is active
   IF ActiveModule.Name <> "StarWriter" THEN
      'If not drop an error-message and leave this subprocedure
      MsgBox("This program is only available in text documents.",0+16,"Error")
      EXIT SUB
   ENDIF

   'Collect the information
   NumberOfChars    = ActiveWindow.GetCharCount(2)
   NumberOfLines    = ActiveWindow.GetLineCount( FALSE )
   NumberOfGraphics = ActiveWindow.Graphics.Count
   NumberOfTables   = ActiveWindow.Tables.Count
   'Display the information in a message box
   MsgBox( "Number of Chars: "    & NumberOfChars    & chr(13) &_
           "Number of Lines: "    & NumberOfLines    & chr(13) &_
           "Number of Graphics: " & NumberOfGraphics & chr(13) &_
           "Number of Tables: "   & NumberOfTables   & chr(13) ,_
           0+64, "Statistical Information about this Document")
End Sub
