Sub FormatAllTables
   Dim IntNumberOfTables As Integer, i As Integer
   Dim oActiveWindow As Object
   'Again check for the correct Staroffice program
   If ActiveModule.Name <> "StarWriter" Then
      MsgBox("This program is only available in text documents.",16,"Error")
      Exit Sub
   Endif
   oActiveWindow = ActiveWindow
   'The object collection for tables in documents is named Tables
   IntNumberOfTables = oActiveWindow.Tables.Count
   If IntNumberOfTables = 0 Then
      MsgBox("There are no tables in this document.",16,"Error")
      Exit Sub
   Endif
   'We know that there are tables in our document so let's reformat them
   For i = 1 To IntNumberOfTables
      'Set the width of the first column (left side) to one inch
      oActiveWindow.Tables(i).SetColumnWidth(0, "1in")
   Next i
End Sub

