Sub MakeCorrectParagraphs
   Dim oActiveWindow As Object
   oActiveWindow = ActiveWindow
   'We will only use methods of the ActiveWindow so we make good use
   'of the With statement
   With oActiveWindow
      .JumpToStartOfDoc() 'Start from the beginning
      'otherwise we have to go to the End of the actual paragraph
      'IsEndOfDoc() is false even if we are in the last paragraph
      'of a document
      .GoToEndOfPara()
      'Cycle through all paragraphs
      Do Until .IsEndOfDoc()
         'go right to check if the next paragraph is an empty one
         .GoRight()
         'If the beginning of this paragraph is also its End 
         'we've found an empty one
         If (.IsStartOfPara() and .IsEndOfPara()) Then
            'Delete the paragraph End sign
            .Delete()
         Else
            'If the paragraph contains any characters join them together
            .Backspace() 'Delete the paragraph End sign of the former paragraph
            .Insert(" ") 'Insert a blank
         Endif
         'Now let's look for the next paragraph, but again we have to go
         'to the End of the actual paragraph to check if the End of the
         'document is reached
         .GoToEndOfPara()
      Loop
      'Perhaps our document produced some extra spaces; search for two spaces
      'and replace them with one
       .ReplaceAll("  ", " ")
   End With
End Sub

