Sub CalculateSquareRoot
   'If an error occurs jump to the label ErrorLabel.
   'There is the code to handle all errors
   On Local Error Goto ErrorLabel
   Dim DoubleTheResult As Double, DoubleValue As Double
   'We need the following label to restart the action
   'if the first value was wrong
   StartInput:
   DoubleValue = InputBox("Input a numerical value greater than or " &_
                 "equal to zero", "Calculating the square root")
   'Calculate the square root of the given value,
   'with the built in StarBasic function sqr()
   'This is the line where an error will be thrown when DoubleValue is negative.
   DoubleTheResult = sqr(DoubleValue)
   'If all went well, show the result
   MsgBox("The square root of " & DoubleValue & " is " & DoubleTheResult,_
          64, "Finished")
   'Here we have to use the Exit Sub statement. Otherwise the program runs
   'into the code that is specified for error handling
   Exit Sub
   'ErrorLabel gives the starting point. All error handling code follows.
   ErrorLabel:
      'Ask for the error we are expecting. The given value is less then zero
      If DoubleValue < 0 Then
         MsgBox("You can't use a divisor less then 0!",16,"An Error occurred" )
         'restart the action at label StartInput. Directly before the input box
         Resume StartInput
      'We have to handle all other errors too!
      'So we drop a generic error message and cancel the subprocedure
      Else
         MsgBox("The following error occurred" & chr(13) & Error() & chr(13) &_
                "Error number: " & Err() & chr(13) &_
                "In line: " & Erl() & " of the program",_
                16,"Unknown Error")
      Endif
End Sub

