Sub CreateOutline
   'Declare variables for statistical information.
   Dim LongNumberOfHeading1 As Long
   Dim LongNumberOfHeading2 As Long
   Dim LongNumberOfHeading3 As Long

   'Search with regular expressions.
   With ActiveWindow.SearchSettings
      .Backward = False        'Search backwards from cursor position
      .RegExp = True           'Switch regular expressions on
   End With

   'The SearchAndReplaceStyles function will apply a given style and
   'record the number of items found
   LongNumberOfHeading1 = SearchAndReplaceStyles("^.\t",       "Heading 1", 2)
   LongNumberOfHeading2 = SearchAndReplaceStyles("^.\..\t",    "Heading 2", 2)
   LongNumberOfHeading3 = SearchAndReplaceStyles("^.\..\..\t", "Heading 3", 2)

   'Give information about what happened
   MsgBox( "Number of Chapters: "     & LongNumberOfHeading1 & chr(13) &_
           "Number of Sections: "     & LongNumberOfHeading2 & chr(13) &_
           "Number of Sub Sections: " & LongNumberOfHeading3 ,_
           64, "Information about Replacements")
End Sub

Function SearchAndReplaceStyles(StrSearchForWhat As String, _
              StrTemplate As String, LongFamily As Long) As Long
   Dim oActiveWindow As Object
   oActiveWindow = ActiveWindow
   oActiveWindow.JumpToStartOfDoc()

   'Count how often the items were found and formatted
   SearchAndReplaceStyles = 0
   Do While oActiveWindow.Search(StrSearchForWhat)
      'Apply the given style
      oActiveWindow.StyleApply( StrTemplate, LongFamily )
      'Increment the number of formatted items
      SearchAndReplaceStyles = SearchAndReplaceStyles + 1
   Loop
End Function

