Sub RenameGraphics
   Dim IntNumberOfGraphics As Integer, i As Integer
   Dim oActiveWindow As Object
   'This macro is only designed for text documents
   If ActiveModule.Name <> "StarWriter" Then
      MsgBox("This program is only available in text documents.",16,"Error")
      Exit Sub
   Endif
   'Refer to the actual document by an object variable
   oActiveWindow = ActiveWindow
   'The property Count of Graphics collection contains the number of
   'pictures in the actual document.
   IntNumberOfGraphics = oActiveWindow.Graphics.Count
   If IntNumberOfGraphics = 0 Then
      MsgBox("There are no graphics in this document.",16,"Error")
      Exit Sub
   Endif
   'Cycle through all pictures
   For i = 1 To IntNumberOfGraphics
      'Change the Name of the i-th picture in the document
      oActiveWindow.Graphics(i).GraphicName = "Picasso No. " & i
   Next i
End Sub

