Sub SearchAndReplaceInGeneral
   'Declare two variables as arguments to make your subprocedure more flexible
   Dim StrSearchForWhat As String, StrReplaceItWith As String
   Dim oActiveWindow As Object
   'Saving the ActualWindow to an Object variable has some advantages,
   'you program will run faster and there are no problems in gaining
   'access to this document.
   oActiveWindow = ActiveWindow

   'First, set the settings of the search
   'otherwise the previous settings are taken.
   With oActiveWindow.SearchSettings
      .Backward = False       'Search backwards from cursor position
      .InSelection = False    'Search only in the current selection
      .CaseSensitive = False  'Search with respect to upper and lower case
      .RegExp = False         'Search with wildcards "regular expression"
      .WordOnly = True        'Finds the search String only as entire word
   End With
   'Define attributes of the items to search and replace with the
   'ReplaceAttributes and SearchAttributes class.
   'Use the StarBasic Help system for further information

   StrSearchForWhat = "NCC1701D"
   StrReplaceItWith = "NCC1701"

   'JumpToStartOfDoc brings us to the beginning of the document.
   'Don't use GoToStartOfDoc. This moves the cursor to the beginning of
   'the current Object e.g. the first cell of a table
   oActiveWindow.JumpToStartOfDoc()

   'The result of Search() will be true if the search was successful.
   Do While oActiveWindow.Search(StrSearchForWhat)
      'We found the String. The text in the document is now selected.
      'By inserting new text, the old text will be deleted.
      oActiveWindow.Insert(StrReplaceItWith)
   Loop
End Sub

