Sub SearchAndReplaceSpecial
   Dim oActiveWindow As Object
   oActiveWindow = ActiveWindow

   'We have to search for items in a specific font
   'Check the font by searching. Specify the attributes of the font
   oActiveWindow.SearchAttributes.IsFont = 2
   oActiveWindow.SearchAttributes.SetFont(,,,,"Symbol")

   '***Don't forget to specify the SearchSettings here

   'Make a shortcut to the Object oActiveWindow by using the With statement
   With oActiveWindow
      .JumpToStartOfDoc()

      'Search for "a+" i.e. "alpha subscript plus"
      'is an a+ out of the windows font "Symbol"
      Do While .Search("a+")
         'We found an "a+" and select it, overwrite it with a "b" 
         'of the font "Symbol"
         .InsertSymbol( "b", "Symbol" )
         .GoLeft( 1, True )              'highlight the "b"
         .Font.SubScript = False         'turn subscript of the "b" off
         .GoRight( 1, False )            'go right beside the "b"
         .InsertSymbol( "-", "Symbol" )  'type "-" beside the "b"
         .GoLeft( 1, True )              'highlight the "-"
         .Font.SubScript = True          'turn subscript on
      Loop
   End With
End Sub

